package pract12;

import java.util.ArrayList;

/**
 * Clase que representa un GPS que permite almacenar rutas en el
 * 
 * @author  Metodos de Programacion (UC) y <TODO nombre alumno>
 * @version may-15
 */
public class RutasGPS {

	// lista de rutas almacenadas
	private ArrayList<Ruta> rutas = new ArrayList<Ruta>();
	
	/**
	 * Construye un registro de rutas GPS vacio.
	 */
	public RutasGPS() {
	}
	
	/**
	 * Construye un registro de rutas GPS a partir del fichero binario de datos que se pasa
	 * como parametro
	 * @param nomFich Nombre del fichero
	 */
	public RutasGPS(String nomFich) {
		// TODO
	}
	
	/**
	 * Anhade una nueva ruta al GPS
	 * @param ruta la ruta a anhadir
	 */
	public void anhadeRuta(Ruta ruta){
		rutas.add(ruta);
	}
	
	/**
	 * Retorna la rutas alamcenadas en el GPS
	 * @return rutas alamcenadas en el GPS
	 */
	public Ruta[] rutas(){
		return rutas.toArray(new Ruta[0]);
	}
	
	/**
	 * Crea un fichero binario con los datos de todas las rutas almacenadas en el GPS
	 * @param nomFich Nombre del fichero
	 */
	public void grabaAFicheroDatos(String nomFich) {
		// TODO
	}
	
	/**
	 * Crea un objeto GPS a partir del fichero binario de objeto que se pasa como parametro
	 * @param nomFich Nombre del fichero
	 * @return Un objeto GPS con las rutas almacenadas en el fichero
	 */
	public static RutasGPS creaGPSDesdeBinarioObjeto(String nomFich) {
		// TODO
		return null;
	}

	/**
	 * Crea un fichero binario de objeto con el estado actual del GPS
	 * @param nomFich Nombre del fichero
	 */
	public void grabaAFicheroObjeto(String nomFich) {
		// TODO
	}
}

